Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class NewProject

    java.lang.Object
      de.grogra.imp.NewProject

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  HttpServerProject, NewRGG, ServerProject

    public class NewProject

extends java.lang.Object
implements Command

Field Summary

Fields inherited from interface de.grogra.pf.ui.Command
`DISPOSE`

Constructor Summary
`NewProject()`

Method Summary
`protected void` | `configure(Workbench wb, java.lang.Object arg)`
`java.lang.String` | `getCommandName()` Returns a name which can be used in the graphical user interface to represent this command.
`protected java.lang.String` | `getProjectName()`
`void` | `run(java.lang.Object arg, Context context)` Performs the actions of this command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewProject

    public NewProject()

Method Detail

### configure

    protected void configure(Workbench wb,
                             java.lang.Object arg)

### getCommandName

    public java.lang.String getCommandName()

  Description copied from interface: `Command`
  Returns a name which can be used in the graphical user interface to represent this command.

  Specified by:
    `getCommandName` in interface `Command`
  Returns:
    this commands's name

### getProjectName

    protected java.lang.String getProjectName()

### run

    public void run(java.lang.Object arg,
                    Context context)

  Description copied from interface: `Command`
  Performs the actions of this command. This method is invoked by the `JobManager` after the command has been submitted to the job manager by one of `execute`, `runAt`, or `runLater`-methods. The arguments `info` and `context` are the arguments which have been provided as arguments to the `JobManager`-methods.

  Specified by:
    `run` in interface `Command`
  Parameters:
    `arg` - an argument
    `context` - a context

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD